%{?nodejs_find_provides_and_requires}

%global packagename class-utils
%global enable_tests 1

Name:		nodejs-class-utils
Version:	0.3.5
Release:	2%{?dist}
Summary:	Utils for working with JavaScript classes and prototype methods

License:	MIT
URL:		https://github.com/jonschlinkert/class-utils
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/%{packagename}/%{version}/test.js
# Source2,3 generated by running Source10, which pulls from the upstream
# version control repository.
Source2:	examples-%{version}.tar.bz2
Source3:	fixtures-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(isobject)
BuildRequires:	npm(should)
BuildRequires:	npm(static-extend)
%endif

%description
Utils for working with JavaScript classes and prototype methods.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .
%autosetup -T -D -a 2 -n package
%autosetup -T -D -a 3 -n package

%nodejs_fixdep isobject
%nodejs_fixdep define-property

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js utils.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Aug 18 2017 Jared Smith <jsmith@fedoraproject.org> - 0.3.5-2
- Relax dependency on npm(define-property)

* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 0.3.5-1
- Initial packaging
